Page MenuHomeFreeBSD

loader: update autoboot description and move to loader.conf.5
ClosedPublic

Authored by imp on Aug 5 2017, 10:01 PM.

Details

Summary

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=85128

In essence, the description of the "autoboot_delay" variable in /boot/defaults/loader.conf does not mention it's "NO" special value.

Test Plan

1) Apply the two patches

  1. Check the output from both man pages

Diff Detail

Repository
rG FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

sys/boot/forth/loader.conf.5
99 ↗(On Diff #31629)

s/will be/is/

103 ↗(On Diff #31629)

s/will be/are/

107 ↗(On Diff #31629)
no delay is inserted, but a user with console access will be able
110 ↗(On Diff #31629)
process and escape into the interactive mode by pressing a key on
111 ↗(On Diff #31629)

s/while/while the/

s/are being/are/

117 ↗(On Diff #31629)

s/will engage/starts/

119 ↗(On Diff #31629)

s/for some reason././

Benedict, what are your plans for this? Mind if I take it over?

@imp: No more work done since then. If you want to take over, I'd appreciate it.
You can keep me in the list of reviewers for any textual changes you're making. Thanks!

imp retitled this revision from Bug 85128: loader.conf(5) autoboot_delay incompletly described to loader: update autoboot description and move to loader.conf.5.Jul 9 2021, 6:55 AM
imp added reviewers: bcr, danger.

rework based on files moved
My own take at making things a little clearer

Minor question about which keys are valid to press.

stand/defaults/loader.conf.5
83

a key or any key (like below)? Probably not ENTER... ;-)

This revision was not accepted when it landed; it landed in state Needs Review.Jul 12 2021, 9:14 PM
This revision was automatically updated to reflect the committed changes.